Skip to navigation

Get completed user agreement PDF

View as Markdown

Gets the PDF of agreementId for the clickwrap specified by clickwrapId.

The response to this method is the bytes of the PDF file. The response includes the HTTP header application/pdf.

Required authentication scopes: click.manage or click.send.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequired

The external account number (int) or account ID GUID.

agreementIdstringRequired
The agreement ID.
clickwrapIdstringRequired
The GUID of the elastic template.

Query parameters

include_cocstringOptional

When true, the Certificate of Completion will be appended to the PDF. The default value is false.

Response

Successful response.

Errors

400
Bad Request Error